{% extends 'base.html' %}
{% load static %}

{% block title %}
    Welcome to Event Gallery
{% endblock %}

{% block content %}
<div>
    <a class="btn btn-primary" href="{% url 'create_event' %}">Add Event</a>
    {% if request.user.is_authenticated %}
    <form method="POST" novalidate id="eventInvolvementForm">
        {% csrf_token %}
        {% include 'includes/form_generic.html' %}
    </form>
    {% endif %}
</div>
        {% if data %}
            <div class="row">
                {% for item in data %}
                <div class="col col-sm-12 col-md-6 col-lg-4 mb-4">
                    <div class="card">
                        {% if item.preview %}
                        <img class="card-img-top" src="{{item.preview.url}}"/>
                        {% endif %}
                        <div class="card-body">
                            <h5 class="card-title">{{item.shortname}}</h5>
                            <p class="card-text">{{item.start.date}}</p>
                            <p class="card-text">{{item.location}}</p>
                            <div class="row justify-content-around">
                                {% if request.user.is_authenticated %}
                                    {% if now and item.start < now %}
                                        <p class="card-text">Already past</p>
                                    {% elif item.account_exist and account_id == item.account_exist %}
                                    <a class="btn btn-warning" href="javascript:void()" mode="1" event="{{item.pk}}" onclick="submitInvolvement()">Cancel</a>
                                    {% else %}
                                    <a class="btn btn-success" href="javascript:void()" mode="0" event="{{item.pk}}" onclick="submitInvolvement()">Join</a>
                                    {% endif %}
                                {% endif %}
                                <a class="btn btn-primary" href="{% url 'detail_event' item.pk %}">Detail</a>
                            </div>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
        {% endif %}
{% endblock content %}